Loading...
Searching...
No Matches
Opm::VoigtContainer< T > Class Template Reference
Inheritance diagram for Opm::VoigtContainer< T >:

## Public Member Functions

template<class Array>
| VoigtContainer (const Array &array)
| VoigtContainer (std::initializer_list< T > value)
const T & | operator[] (const VoigtIndex idx) const
T & | operator[] (const VoigtIndex idx)
constexpr std::size_t | size () const

## Static Public Attributes

static constexpr auto | indices
static constexpr auto | unique_indices
static constexpr auto | diag_indices

## Protected Attributes

std::array< T, 6 > | data_ {}

## Member Data Documentation

## diag_indices

template<class T>

auto Opm::VoigtContainer< T >::diag_indices

static constexpr

Initial value:
= std::array<VoigtIndex, 3>{
Opm::VoigtIndex::XX,
Opm::VoigtIndex::YY,
Opm::VoigtIndex::ZZ,
}

## indices

template<class T>

auto Opm::VoigtContainer< T >::indices

static constexpr

Initial value:
= std::array<VoigtIndex, 9>{
Opm::VoigtIndex::XX,
Opm::VoigtIndex::XY,
Opm::VoigtIndex::XZ,
Opm::VoigtIndex::YX,
Opm::VoigtIndex::YY,
Opm::VoigtIndex::YZ,
Opm::VoigtIndex::ZX,
Opm::VoigtIndex::ZY,
Opm::VoigtIndex::ZZ,
}

## unique_indices

template<class T>

auto Opm::VoigtContainer< T >::unique_indices

static constexpr

Initial value:
= std::array<VoigtIndex, 6>{
Opm::VoigtIndex::XX,
Opm::VoigtIndex::YY,
Opm::VoigtIndex::ZZ,
Opm::VoigtIndex::YZ,
Opm::VoigtIndex::XZ,
Opm::VoigtIndex::XY
}

The documentation for this class was generated from the following files:

- opm/common/utility/VoigtArray.hpp
- opm/common/utility/VoigtArray.cpp